Bug 573159 - revisor fails with fedora-livecd-desktop.ks: "no such option: --service"
revisor fails with fedora-livecd-desktop.ks: "no such option: --service"
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: spin-kickstarts (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeroen van Meeuwen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-12 21:22 EST by Christopher Beland
Modified: 2010-12-03 12:28 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 12:28:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Christopher Beland 2010-03-12 21:22:26 EST
Using revisor-2.1.11-1.fc12.noarch with /usr/share/spin-kickstarts/fedora-livecd-desktop.ks from fedora-kickstarts-0.12.1-1.fc12.noarch results in the below error.  I was able to work around it by removing "--service=mdns" from the line "firewall --enabled --service=mdns" in fedora-live-base.ks.

---

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/revisor/modgui/load_kickstart.py", line 195, in button_forward_clicked
    self.store_options()
  File "/usr/lib/python2.6/site-packages/revisor/modgui/load_kickstart.py", line 165, in store_options
    self.cfg.load_kickstart(self.cfg.kickstart_file)
  File "/usr/lib/python2.6/site-packages/revisor/cfg.py", line 537, in load_kickstart
    self.ksobj.read_file(fn)
  File "/usr/lib/python2.6/site-packages/revisor/kickstart.py", line 95, in read_file
    self.parser.readKickstart(url)
  File "/usr/lib/python2.6/site-packages/pykickstart/parser.py", line 767, in readKickstart
    self._stateMachine (lambda: fh.readline())
  File "/usr/lib/python2.6/site-packages/pykickstart/parser.py", line 609, in _stateMachine
    self.readKickstart (args[1], reset=False)
  File "/usr/lib/python2.6/site-packages/pykickstart/parser.py", line 767, in readKickstart
    self._stateMachine (lambda: fh.readline())
  File "/usr/lib/python2.6/site-packages/pykickstart/parser.py", line 638, in _stateMachine
    self.handleCommand(lineno, args)
  File "/usr/lib/python2.6/site-packages/pykickstart/parser.py", line 471, in handleCommand
    self.handler.dispatcher(args, lineno, self._preceededInclude)
  File "/usr/lib/python2.6/site-packages/pykickstart/base.py", line 376, in dispatcher
    obj = self.commands[cmd].parse(args[1:])
  File "/usr/lib/python2.6/site-packages/pykickstart/commands/firewall.py", line 116, in parse
    (opts, extra) = self.op.parse_args(args=args, lineno=self.lineno)
  File "/usr/lib/python2.6/site-packages/pykickstart/options.py", line 106, in parse_args
    return OptionParser.parse_args(self, **kwargs)
  File "/usr/lib/python2.6/optparse.py", line 1383, in parse_args
    self.error(str(err))
  File "/usr/lib/python2.6/site-packages/pykickstart/options.py", line 51, in error
    raise KickstartParseError, formatErrorMsg(self.lineno, msg=msg)
pykickstart.errors.KickstartParseError: The following problem occurred on line 15 of the kickstart file:

no such option: --service
Comment 1 Bug Zapper 2010-11-03 15:57:32 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2010-12-03 12:28:06 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.